GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/tilegx-linux-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "linux-tdep.h"`
`#include "glibc-tdep.h"`
`#include "solib-svr4.h"`
`#include "symtab.h"`
`#include "regcache.h"`
`#include "regset.h"`
`#include "tramp-frame.h"`
`#include "trad-frame.h"`
`#include "tilegx-tdep.h"`

Go to the source code of this file.

## Macros
#define | TILEGX_LINUX_SIZEOF_GREGSET (64 * 8)

## Functions
static void | tilegx_linux_sigframe_init (const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)
static void | tilegx_iterate_over_regset_sections (struct gdbarch *gdbarch, iterate_over_regset_sections_cb *cb, void *cb_data, const struct regcache *regcache)
static void | tilegx_linux_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_tilegx_linux_tdep (void)

## Variables
static const struct tramp_frame | tilegx_linux_rt_sigframe
static const struct regcache_map_entry | tilegx_linux_regmap []
static const struct regset | tilegx_linux_regset

## Macro Definition Documentation

## ◆ TILEGX_LINUX_SIZEOF_GREGSET

#define TILEGX_LINUX_SIZEOF_GREGSET (64 * 8)

Definition at line 85 of file tilegx-linux-tdep.c.

Referenced by tilegx_iterate_over_regset_sections().

## Function Documentation

## ◆ _initialize_tilegx_linux_tdep()

void _initialize_tilegx_linux_tdep | ( | void |  | ) |

Definition at line 138 of file tilegx-linux-tdep.c.

References GDB_OSABI_LINUX, gdbarch_register_osabi(), and tilegx_linux_init_abi().

## ◆ tilegx_iterate_over_regset_sections()

static void tilegx_iterate_over_regset_sections | ( | struct gdbarch * | gdbarch,
|  | iterate_over_regset_sections_cb * | cb,
|  | void * | cb_data,
|  | const struct regcache * | regcache
| ) |  |
| static

Definition at line 97 of file tilegx-linux-tdep.c.

References tilegx_linux_regset, and TILEGX_LINUX_SIZEOF_GREGSET.

Referenced by tilegx_linux_init_abi().

## ◆ tilegx_linux_init_abi()

static void tilegx_linux_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 109 of file tilegx-linux-tdep.c.

References find_solib_trampoline_target(), gdbarch_addr_bit(), glibc_skip_solib_resolver(), linux_init_abi(), set_gdbarch_fetch_tls_load_module_address(), set_gdbarch_iterate_over_regset_sections(), set_gdbarch_skip_solib_resolver(), set_gdbarch_skip_trampoline_code(), set_solib_svr4_fetch_link_map_offsets(), svr4_fetch_objfile_link_map(), svr4_ilp32_fetch_link_map_offsets(), svr4_lp64_fetch_link_map_offsets(), tilegx_iterate_over_regset_sections(), tilegx_linux_rt_sigframe, and tramp_frame_prepend_unwinder().

Referenced by _initialize_tilegx_linux_tdep().

## ◆ tilegx_linux_sigframe_init()

static void tilegx_linux_sigframe_init | ( | const struct tramp_frame * | self,
|  | struct frame_info * | this_frame,
|  | struct trad_frame_cache * | this_cache,
|  | CORE_ADDR | func
| ) |  |
| static

Definition at line 35 of file tilegx-linux-tdep.c.

References frame_id_build(), func, get_frame_memory_unsigned(), get_frame_register_unsigned(), trad_frame_set_id(), trad_frame_set_reg_addr(), and trad_frame_set_reg_value().

## Variable Documentation

## ◆ tilegx_linux_regmap

const struct regcache_map_entry tilegx_linux_regmap[]
| static

Initial value:
=
{
{ TILEGX_NUM_EASY_REGS, TILEGX_FIRST_EASY_REGNUM, 8 },
{ 1, TILEGX_PC_REGNUM, 8 },
{ 1, TILEGX_FAULTNUM_REGNUM, 8 },
{ 0 }
}
TILEGX_FAULTNUM_REGNUM
Definition: tilegx-tdep.h:104
TILEGX_PC_REGNUM
Definition: tilegx-tdep.h:102
TILEGX_NUM_EASY_REGS
Definition: tilegx-tdep.h:92
TILEGX_FIRST_EASY_REGNUM
Definition: tilegx-tdep.h:34

Definition at line 77 of file tilegx-linux-tdep.c.

## ◆ tilegx_linux_regset

const struct regset tilegx_linux_regset
| static

Initial value:
=
{
tilegx_linux_regmap,
regcache_supply_regset, regcache_collect_regset
}
regcache_supply_regset
void regcache_supply_regset(const struct regset *regset, struct regcache *regcache, int regnum, const void *buf, size_t size)
Definition: regcache.c:1192
tilegx_linux_regmap
static const struct regcache_map_entry tilegx_linux_regmap[]
Definition: tilegx-linux-tdep.c:77
regcache_collect_regset
void regcache_collect_regset(const struct regset *regset, const struct regcache *regcache, int regnum, void *buf, size_t size)
Definition: regcache.c:1211

Definition at line 89 of file tilegx-linux-tdep.c.

Referenced by tilegx_iterate_over_regset_sections().

## ◆ tilegx_linux_rt_sigframe

const struct tramp_frame tilegx_linux_rt_sigframe
| static

Initial value:
=
{
SIGTRAMP_FRAME,
8,
{
{ 0x00045fe551483000ULL, -1 },
{ 0x286b180051485000ULL, -1 },
{ TRAMP_SENTINEL_INSN, -1 }
},
tilegx_linux_sigframe_init
}
TRAMP_SENTINEL_INSN
#define TRAMP_SENTINEL_INSN
Definition: tramp-frame.h:44
SIGTRAMP_FRAME
Definition: frame.h:255
tilegx_linux_sigframe_init
static void tilegx_linux_sigframe_init(const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)
Definition: tilegx-linux-tdep.c:35

Definition at line 63 of file tilegx-linux-tdep.c.

Referenced by tilegx_linux_init_abi().